﻿<!DOCTYPE html>
<html lang="en">
    <head>
        <title>AJAX</title>
        <meta name='viewport' content='width=device-width, initial-scale=1.0, user-scalable=0'>
        <style>
            #spinner{
                display: none;
                width: 80px;
                height: 80px;
                border: 2px solid #f3f3f3;
                border-top:3px solid #f25a41;
                border-radius: 100%;
                top:0;
                bottom:0;
                left:0;
                right: 0;
                margin: auto;
                position: sticky;
                animation: spin 1s infinite linear;
            }

            @keyframes spin {
                from {
                    transform: rotate(0deg);
                } to {
                      transform: rotate(360deg);
                  }
            }

            #spinner.show {
                display: block;
            }
        </style>
    </head>

    <body>

        <div id="spinner"></div>
        <h1>Users</h1>
        <div id="list">
            <table id="users">
                <thead>
                    <tr>
                        <th style="text-align: start">ID</th>
                        <th style="text-align: start">Username</th>
                        <th style="text-align: start">Email</th>
                        <th style="text-align: start">Actions</th>
                    </tr>
                </thead>
                <tbody class="table-body"></tbody>
            </table>
        </div>

        <h2>User Details</h2>
        <div id="user">
            <table id="user-info" style="margin-bottom: 1em">
                <thead>
                    <tr>
                        <th style="text-align: start">ID</th>
                        <th style="text-align: start">Username</th>
                        <th style="text-align: start">Email</th>
                        <th style="text-align: start">Actions</th>
                    </tr>
                </thead>
            </table>
            <form class="user-form">
                <div style="margin-bottom: 1em">
                    <label for="user-id">User ID
                        <input type="text" name="user-id" id="user-id" disabled>
                    </label>
                </div>
                <div style="margin-bottom: 1em">
                    <label for="username">Username
                        <input type="text" name="username" id="username" required>
                    </label>
                </div>
                <div style="margin-bottom: 1em">
                    <label for="email">User email
                        <input type="text" name="email" id="email" required>
                    </label>
                </div>
                <button type="submit" class="submit-edit-button"
                        style="width: 7em; height: 3em; color: #000; background-color: green">Update
                </button>
            </form>
        </div>
        <script src="js/index.js"></script>
    </body>
</html>
